<template>
  <div class="project-response">
    <h3>Réponse {{ index + 1 }}</h3>
    <input type="text" placeholder="Texte de la réponse" v-model="response.response">
    <input type="text" placeholder="Scène jouée" v-model="response.scene">
    <p class="delete-button" @click="deleteAnswer">❌</p>
  </div>
</template>

<script>
export default {
  name: 'ProjectResponse',
  props: {
    response: {
      type: Object,
      default: () => {
        return {}
      }
    },
    index: {
      type: Number,
      default: 0
    }
  },
  methods: {
    deleteAnswer: function () {
      this.$emit('deleteAnswer', this.index)
    }
  }
}
</script>

<style scoped lang="scss">
  .project-response {
    background: #eeeeee;
    display: flex;
    flex-direction: column;
    position: relative;
    padding: 1em;
    margin: 1em 0;
    border-radius: 6px;
    .delete-button {
      position: absolute;
      top: 0;
      right: 1em;
      transition: .5s transform;
      cursor: pointer;
      &:hover {
        transform: scale(1.25);
        transition: .5s transform;
      }
    }
    input {
      padding: .5em 1em;
      margin: .5em 0;
      border: 1px solid #535353;
      border-radius: 6px;
    }
  }
</style>
